Validate BVN
curl --request POST \
--url https://devapi.withedge.co/gateway/api/v1/kyc/validate/bvn \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'requestId: <requestid>' \
--data '
{
"bvn": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"otherName": "<string>",
"dob": "<string>"
}
'import requests
url = "https://devapi.withedge.co/gateway/api/v1/kyc/validate/bvn"
payload = {
"bvn": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"otherName": "<string>",
"dob": "<string>"
}
headers = {
"requestId": "<requestid>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
requestId: '<requestid>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
bvn: '<string>',
firstName: '<string>',
lastName: '<string>',
otherName: '<string>',
dob: '<string>'
})
};
fetch('https://devapi.withedge.co/gateway/api/v1/kyc/validate/bvn', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"statusCode": 00,
"message": "Completed successfully"
"data": {},
"errors": []
}
Know Your Customer
Validate BVN
This endpoint enables you to validate a customer’s Bank Verification Number (BVN).
POST
/
kyc
/
validate
/
bvn
Validate BVN
Validate BVN
Use this endpoint to validate a customer’s Bank Verification Number (BVN) along with their personal details.Request Parameters
A unique identifier for the request, used for idempotency.
Example:
Example:
e0b9f8d0-7a57-4a67-a8b2-4d7c7b5a37c9The Bank Verification Number to be validated.
Example:
Example:
12345678901The first name of the customer.
Example:
Example:
JohnThe last name of the customer.
Example:
Example:
DoeThe other names of the customer, if available.
Example:
Example:
MichaelThe customer’s date of birth in
Example:
YYYY-MM-DD format.Example:
1990-01-01{
"statusCode": 00,
"message": "Completed successfully"
"data": {},
"errors": []
}
Was this page helpful?
⌘I